From e3e3e30c36bda0ed5637ecadbbe4449b0160e70c Mon Sep 17 00:00:00 2001
From: Toastie <toastie@toastiet0ast.com>
Date: Tue, 25 Jun 2024 20:48:12 +1200
Subject: [PATCH] Updated e-rebuild and e-run

---
 e-rebuild.sh | 16 +++++++++++++++-
 e-run.sh     | 21 ++++++++++++++++++++-
 2 files changed, 35 insertions(+), 2 deletions(-)

diff --git a/e-rebuild.sh b/e-rebuild.sh
index 96b4b06..18ec4a2 100644
--- a/e-rebuild.sh
+++ b/e-rebuild.sh
@@ -1 +1,15 @@
-#!/bin/sh
\ No newline at end of file
+#!/bin/sh
+root=$(pwd)
+
+# remove old backup
+rm -rf elliebot_old 1>/dev/null 2>&1
+
+# make a new backup
+cp -rT elliebot elliebot_old 1>/dev/null 2>&1
+
+wget -q -N https://toastielab.dev/Emotions-stuff/ellie-bash-installer/raw/branch/main/rebuild.sh
+bash rebuild.sh
+
+cd "$root"
+rm "$root/n-rebuild.sh"
+exit 0
\ No newline at end of file
diff --git a/e-run.sh b/e-run.sh
index 96b4b06..572981c 100644
--- a/e-run.sh
+++ b/e-run.sh
@@ -1 +1,20 @@
-#!/bin/sh
\ No newline at end of file
+#!/bin/sh
+echo "Running EllieBot"
+root=$(pwd)
+
+if hash dotnet 2>/dev/null
+then
+    echo "Dotnet installed."
+else
+    echo "Dotnet is not installed. Please install dotnet."
+    exit 1
+fi
+
+cd "$root/elliebot/output"
+echo "Running EllieBot. Please wait."
+dotnet EllieBot.dll
+echo "Done"
+
+cd "$root"
+rm "$root/e-run.sh"
+exit 0
\ No newline at end of file